% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 5: Máquinas de Vectores Soporte
% Autores: Jesús Antonio Vega Sánchez y Sebastián Dormido Canto

function creararchivo

directorio=dir;

nombres=char(directorio.name);
indice=strmatch('TS',nombres);
todas=[];

for i=1:length(indice)
	eval(['load ',nombres(indice(i),:),' -ascii']);
   eval(['im',nombres(indice(i),1:8),'=creaimagen(',nombres(indice(i),1:8),');']);
   eval(['w2',nombres(indice(i),1:8),'=wav2(','im',nombres(indice(i),1:8),');']);   
   eval(['todas=[todas;w2',nombres(indice(i),1:8),'(:)''','];']);
   eval(['clear ',nombres(indice(i),1:8)]);
   eval(['clear ','im',nombres(indice(i),1:8)]);
   
   %eval(['save im',nombres(indice(i),1:8),' im',nombres(indice(i),1:8)]);
end;

clear nombres
clear directorio
clear indice
clear i
save wavim